Airwallex logo
Airwallex logoAirwallex logo

Cardholders

Copy for LLMView as Markdown

You can create cardholders, which are authorized representatives of your business that can be issued cards.

Endpoints
POST /api/v1/issuing/cardholders/create
GET /api/v1/issuing/cardholders
GET /api/v1/issuing/cardholders/{id}
POST /api/v1/issuing/cardholders/{id}/update
POST /api/v1/issuing/cardholders/{id}/delete

Create a cardholder

POST /api/v1/issuing/cardholders/create

Cardholders are any authorized representative of your business with the ability to own cards. Creation of cardholders involves passing a name screening process which requires some basic details about the cardholder.

Request body
addressrequiredobject

Street address of the cardholder.

address.cityrequiredstring

City of address

address.countryrequiredstring

ISO country code of address

address.line1requiredstring

Address line 1

address.postcoderequiredstring

Address postcode or ZIP code

address.line2string

Address line 2

address.statestring

Address state or region

emailrequiredstring

Email address of the cardholder.

individualrequiredobject

Details about the individual cardholder.

individual.date_of_birthrequiredstring

The individual's date of birth, in the format YYYY-MM-DD.

individual.namerequiredobject

The full name of the Individual. Only characters in English are supported.

individual.name.first_namerequiredstring

First name of cardholder.

individual.name.last_namerequiredstring

Last name for cardholder.

individual.name.middle_namestring

Optional middle name of cardholder.

individual.name.titlestring

Optional title of cardholder.

individual.identificationobject

The form of identification used to verify the individual's identity. This object is optional and is only required if name screening fails.

individual.identification.countryrequiredstring

ISO country code of identification document.

individual.identification.expiry_daterequiredstring

Expiry date of the identification document provided, in the format YYYY-MM-DD.

individual.identification.numberrequiredstring

Document number. May be a license number or passport number.

individual.identification.typerequiredstring

Type of identification being provided. May be PASSPORT, DRIVERS_LICENSE, or ID_CARD.

individual.identification.document_back_file_idstring

The unique identifier for an image of the back of the given document. This can be retrieved by uploading a file to the file upload endpoint within the API.

individual.identification.document_front_file_idstring

The unique identifier for an image of the front of the given document. This can be retrieved by uploading a file to the file upload endpoint within the API.

individual.identification.genderstring

Gender as specified on UK drivers license. Not required for other identification types.

M, F

individual.identification.statestring

State the document was issued in. Required only if type is DRIVERS_LICENSE and country is AU.

individual.nationalitystring

The 2-letter ISO country code for the individual's nationality.

mobile_numberrequiredstring

Mobile number of the cardholder.

postal_addressobject

Optional postal address of the cardholder. Only required if different to address and physical cards are to be issued.

postal_address.cityrequiredstring

City of address

postal_address.countryrequiredstring

ISO country code of address

postal_address.line1requiredstring

Address line 1

postal_address.postcoderequiredstring

Address postcode or ZIP code

postal_address.line2string

Address line 2

postal_address.statestring

Address state or region

Response body - 202 Accepted
addressobject

Address of the cardholder.

address.citystring

City of address

address.countrystring

ISO country code of address

address.line1string

Address line 1

address.postcodestring

Address postcode or ZIP code

address.line2string

Address line 2

address.statestring

Address state or region

cardholder_idstring

Unique Identifier for cardholder.

emailstring

Email address of the cardholder.

individualobject

Details about the cardholder.

individual.date_of_birthstring

The individual's date of birth, in the format YYYY-MM-DD.

individual.nameobject

The full name of the Individual. Only characters in English are supported.

individual.name.first_namestring

First name of cardholder.

individual.name.last_namestring

Last name for cardholder.

individual.name.middle_namestring

Optional middle name of cardholder.

individual.name.titlestring

Optional title of cardholder.

individual.tax_identification_numberstring

The tax identification number for the individual cardholder. Used for customs or regulatory reporting when required by the shipping destination. Format and requirements may differ by country.

mobile_numberstring

The mobile number of the cardholder.

postal_addressobject

Postal address for the cardholder.

postal_address.citystring

City of address

postal_address.countrystring

ISO country code of address

postal_address.line1string

Address line 1

postal_address.postcodestring

Address postcode or ZIP code

postal_address.line2string

Address line 2

postal_address.statestring

Address state or region

statusstring

The status of the cardholder. One of PENDING, READY, DISABLED or INCOMPLETE, which are defined as follows:
PENDING: Cardholder is currently in review.
READY: Cardholder is ready to be issued cards.
INCOMPLETE: Cardholder record has incomplete information or more data is required to move them to READY.

INCOMPLETE, PENDING, READY, DISABLED, DELETED

Errors
Error statusDescription
400

Possible errors: field_required, bad_request, invalid_argument

401

Possible errors: credentials_invalid, credentials_expired

429

Too many requests

500

Service unavailable

POST /api/v1/issuing/cardholders/create
$curl --request POST \
> --url 'https://api-demo.airwallex.com/api/v1/issuing/cardholders/create' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json' \
> --data '{
> "address": {
> "city": "Melbourne",
> "country": "AU",
> "line1": "44 Gillespie St",
> "line2": "Unit 2",
> "postcode": "3121",
> "state": "VIC"
> },
> "email": "[email protected]",
> "individual": {
> "cardholder_agreement_terms_consent_obtained": "yes",
> "date_of_birth": "1982-11-02",
> "express_consent_obtained": "yes",
> "identification": {
> "country": "AU",
> "document_back_file_id": "NzI3ZDAxM2ItZjMzMC00ZDIyLTk4YTQtMTE3ZTA0MjdhZTUyLHwsaG9uZ2tvbmcsfCxwYXNzcG9ydC5qcGdfMTYwNzY0MDI4OQ==",
> "document_front_file_id": "NzI3ZDAxM2ItZjMzMC00ZDIyLTk4YTQtMTE3ZTA0MjdhZTUyLHwsaG9uZ2tvbmcsfCxwYXNzcG9ydC5qcGdfMTYwNzY0MDI4OQ==",
> "expiry_date": "2028-08-28",
> "gender": "F",
> "number": "001238243",
> "state": "NT",
> "type": "DRIVERS_LICENSE"
> },
> "name": {
> "first_name": "John",
> "last_name": "Smith",
> "middle_name": "Fitzgerald",
> "title": "Mr"
> },
> "nationality": "UK",
> "paperless_notification_consent_obtained": "yes",
> "privacy_policy_terms_consent_obtained": "yes"
> },
> "mobile_number": "61432100100",
> "postal_address": {
> "city": "Melbourne",
> "country": "AU",
> "line1": "44 Gillespie St",
> "line2": "Unit 2",
> "postcode": "3121",
> "state": "VIC"
> }
>}'
Response (202 Accepted)
1{
2 "address": {
3 "city": "Melbourne",
4 "country": "AU",
5 "line1": "44 Gillespie St",
6 "line2": "Unit 2",
7 "postcode": "3121",
8 "state": "VIC"
9 },
10 "cardholder_id": "7f687fe6-dcf4-4462-92fa-80335301d9d2",
11 "email": "[email protected]",
12 "individual": {
13 "date_of_birth": "1982-11-02",
14 "name": {
15 "first_name": "John",
16 "last_name": "Smith",
17 "middle_name": "Fitzgerald",
18 "title": "Mr"
19 },
20 "tax_identification_number": "<string>"
21 },
22 "mobile_number": "61-9922334321",
23 "postal_address": {
24 "city": "Melbourne",
25 "country": "AU",
26 "line1": "44 Gillespie St",
27 "line2": "Unit 2",
28 "postcode": "3121",
29 "state": "VIC"
30 },
31 "status": "PENDING"
32}
Was this section helpful?

Get all cardholders

GET /api/v1/issuing/cardholders

Get all cardholders created within an account

Parameters
cardholder_statusstring

Cardholder status to filter by - one of PENDING, READY, DISABLED

PENDING, READY, DISABLED, INCOMPLETE

emailstring

Email address of the cardholder to filter by

page_numinteger

Page number, starts from 0.

page_sizeinteger

Number of results per page, between 10 and 200. The default is 100.

Response body - 200 OK
has_moreboolean
itemsarray
items.addressobject

Address of the cardholder.

items.address.citystring

City of address

items.address.countrystring

ISO country code of address

items.address.line1string

Address line 1

items.address.postcodestring

Address postcode or ZIP code

items.address.line2string

Address line 2

items.address.statestring

Address state or region

items.cardholder_idstring

Unique Identifier for cardholder.

items.emailstring

Email address of the cardholder.

items.individualobject

Details about the cardholder.

items.individual.date_of_birthstring

The individual's date of birth, in the format YYYY-MM-DD.

items.individual.nameobject

The full name of the Individual. Only characters in English are supported.

items.individual.name.first_namestring

First name of cardholder.

items.individual.name.last_namestring

Last name for cardholder.

items.individual.name.middle_namestring

Optional middle name of cardholder.

items.individual.name.titlestring

Optional title of cardholder.

items.individual.tax_identification_numberstring

The tax identification number for the individual cardholder. Used for customs or regulatory reporting when required by the shipping destination. Format and requirements may differ by country.

items.mobile_numberstring

The mobile number of the cardholder.

items.postal_addressobject

Postal address for the cardholder.

items.postal_address.citystring

City of address

items.postal_address.countrystring

ISO country code of address

items.postal_address.line1string

Address line 1

items.postal_address.postcodestring

Address postcode or ZIP code

items.postal_address.line2string

Address line 2

items.postal_address.statestring

Address state or region

items.statusstring

The status of the cardholder. One of PENDING, READY, DISABLED or INCOMPLETE, which are defined as follows:
PENDING: Cardholder is currently in review.
READY: Cardholder is ready to be issued cards.
INCOMPLETE: Cardholder record has incomplete information or more data is required to move them to READY.

INCOMPLETE, PENDING, READY, DISABLED, DELETED

Errors
Error statusDescription
400

Possible errors: field_required, bad_request, invalid_argument

401

Possible errors: credentials_invalid, credentials_expired

429

Too many requests

500

Service unavailable

GET /api/v1/issuing/cardholders
$curl --request GET \
> --url 'https://api-demo.airwallex.com/api/v1/issuing/cardholders' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json'
Response (200 OK)
1{
2 "has_more": false,
3 "items": [
4 {
5 "address": {
6 "city": "Melbourne",
7 "country": "AU",
8 "line1": "44 Gillespie St",
9 "line2": "Unit 2",
10 "postcode": "3121",
11 "state": "VIC"
12 },
13 "cardholder_id": "7f687fe6-dcf4-4462-92fa-80335301d9d2",
14 "email": "[email protected]",
15 "individual": {
16 "date_of_birth": "1982-11-02",
17 "name": {
18 "first_name": "John",
19 "last_name": "Smith",
20 "middle_name": "Fitzgerald",
21 "title": "Mr"
22 }
23 },
24 "mobile_number": "61-9922334321",
25 "postal_address": {
26 "city": "Melbourne",
27 "country": "AU",
28 "line1": "44 Gillespie St",
29 "line2": "Unit 2",
30 "postcode": "3121",
31 "state": "VIC"
32 },
33 "status": "PENDING"
34 }
35 ]
36}
Was this section helpful?

Get cardholder details

GET /api/v1/issuing/cardholders/{id}

Retrieve details for a cardholder

Parameters
idrequiredstring

Unique Identifier for cardholder

Response body - 200 OK
addressobject

Address of the cardholder.

address.citystring

City of address

address.countrystring

ISO country code of address

address.line1string

Address line 1

address.postcodestring

Address postcode or ZIP code

address.line2string

Address line 2

address.statestring

Address state or region

cardholder_idstring

Unique Identifier for cardholder.

emailstring

Email address of the cardholder.

individualobject

Details about the cardholder.

individual.date_of_birthstring

The individual's date of birth, in the format YYYY-MM-DD.

individual.nameobject

The full name of the Individual. Only characters in English are supported.

individual.name.first_namestring

First name of cardholder.

individual.name.last_namestring

Last name for cardholder.

individual.name.middle_namestring

Optional middle name of cardholder.

individual.name.titlestring

Optional title of cardholder.

individual.tax_identification_numberstring

The tax identification number for the individual cardholder. Used for customs or regulatory reporting when required by the shipping destination. Format and requirements may differ by country.

mobile_numberstring

The mobile number of the cardholder.

postal_addressobject

Postal address for the cardholder.

postal_address.citystring

City of address

postal_address.countrystring

ISO country code of address

postal_address.line1string

Address line 1

postal_address.postcodestring

Address postcode or ZIP code

postal_address.line2string

Address line 2

postal_address.statestring

Address state or region

statusstring

The status of the cardholder. One of PENDING, READY, DISABLED or INCOMPLETE, which are defined as follows:
PENDING: Cardholder is currently in review.
READY: Cardholder is ready to be issued cards.
INCOMPLETE: Cardholder record has incomplete information or more data is required to move them to READY.

INCOMPLETE, PENDING, READY, DISABLED, DELETED

Errors
Error statusDescription
400

Possible errors: field_required, bad_request, invalid_argument

401

Possible errors: credentials_invalid, credentials_expired

429

Too many requests

500

Service unavailable

GET /api/v1/issuing/cardholders/{id}
$curl --request GET \
> --url 'https://api-demo.airwallex.com/api/v1/issuing/cardholders/cardholder_id' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json'
Response (200 OK)
1{
2 "address": {
3 "city": "Melbourne",
4 "country": "AU",
5 "line1": "44 Gillespie St",
6 "line2": "Unit 2",
7 "postcode": "3121",
8 "state": "VIC"
9 },
10 "cardholder_id": "7f687fe6-dcf4-4462-92fa-80335301d9d2",
11 "email": "[email protected]",
12 "individual": {
13 "date_of_birth": "1982-11-02",
14 "name": {
15 "first_name": "John",
16 "last_name": "Smith",
17 "middle_name": "Fitzgerald",
18 "title": "Mr"
19 },
20 "tax_identification_number": "<string>"
21 },
22 "mobile_number": "61-9922334321",
23 "postal_address": {
24 "city": "Melbourne",
25 "country": "AU",
26 "line1": "44 Gillespie St",
27 "line2": "Unit 2",
28 "postcode": "3121",
29 "state": "VIC"
30 },
31 "status": "PENDING"
32}
Was this section helpful?

Update a cardholder

POST /api/v1/issuing/cardholders/{id}/update

Update a cardholder with selected information. All fields are optional, and only those provided will be updated. If a composite object, e.g. name is provided, then all of its child fields must be provided and valid. Updating the cardholder may re-trigger the name screening process.

Parameters
idrequiredstring

Unique Identifier for card

Request body
addressobject

Street address of the cardholder.

address.cityrequiredstring

City of address

address.countryrequiredstring

ISO country code of address

address.line1requiredstring

Address line 1

address.postcoderequiredstring

Address postcode or ZIP code

address.line2string

Address line 2

address.statestring

Address state or region

individualobject

Details about the individual cardholder.

individual.date_of_birthrequiredstring

The individual's date of birth, in the format YYYY-MM-DD.

individual.namerequiredobject

The full name of the Individual. Only characters in English are supported.

individual.name.first_namerequiredstring

First name of cardholder.

individual.name.last_namerequiredstring

Last name for cardholder.

individual.name.middle_namestring

Optional middle name of cardholder.

individual.name.titlestring

Optional title of cardholder.

individual.identificationobject

The form of identification used to verify the individual's identity. This object is optional and is only required if name screening fails.

individual.identification.countryrequiredstring

ISO country code of identification document.

individual.identification.expiry_daterequiredstring

Expiry date of the identification document provided, in the format YYYY-MM-DD.

individual.identification.numberrequiredstring

Document number. May be a license number or passport number.

individual.identification.typerequiredstring

Type of identification being provided. May be PASSPORT, DRIVERS_LICENSE, or ID_CARD.

individual.identification.document_back_file_idstring

The unique identifier for an image of the back of the given document. This can be retrieved by uploading a file to the file upload endpoint within the API.

individual.identification.document_front_file_idstring

The unique identifier for an image of the front of the given document. This can be retrieved by uploading a file to the file upload endpoint within the API.

individual.identification.genderstring

Gender as specified on UK drivers license. Not required for other identification types.

M, F

individual.identification.statestring

State the document was issued in. Required only if type is DRIVERS_LICENSE and country is AU.

individual.nationalitystring

The 2-letter ISO country code for the individual's nationality.

mobile_numberstring

Mobile number of the cardholder.

postal_addressobject

Optional postal address of the cardholder. Only required if different to address and physical cards are to be issued.

postal_address.cityrequiredstring

City of address

postal_address.countryrequiredstring

ISO country code of address

postal_address.line1requiredstring

Address line 1

postal_address.postcoderequiredstring

Address postcode or ZIP code

postal_address.line2string

Address line 2

postal_address.statestring

Address state or region

Response body - 202 Accepted
addressobject

Address of the cardholder.

address.citystring

City of address

address.countrystring

ISO country code of address

address.line1string

Address line 1

address.postcodestring

Address postcode or ZIP code

address.line2string

Address line 2

address.statestring

Address state or region

cardholder_idstring

Unique Identifier for cardholder.

emailstring

Email address of the cardholder.

individualobject

Details about the cardholder.

individual.date_of_birthstring

The individual's date of birth, in the format YYYY-MM-DD.

individual.nameobject

The full name of the Individual. Only characters in English are supported.

individual.name.first_namestring

First name of cardholder.

individual.name.last_namestring

Last name for cardholder.

individual.name.middle_namestring

Optional middle name of cardholder.

individual.name.titlestring

Optional title of cardholder.

individual.tax_identification_numberstring

The tax identification number for the individual cardholder. Used for customs or regulatory reporting when required by the shipping destination. Format and requirements may differ by country.

mobile_numberstring

The mobile number of the cardholder.

postal_addressobject

Postal address for the cardholder.

postal_address.citystring

City of address

postal_address.countrystring

ISO country code of address

postal_address.line1string

Address line 1

postal_address.postcodestring

Address postcode or ZIP code

postal_address.line2string

Address line 2

postal_address.statestring

Address state or region

statusstring

The status of the cardholder. One of PENDING, READY, DISABLED or INCOMPLETE, which are defined as follows:
PENDING: Cardholder is currently in review.
READY: Cardholder is ready to be issued cards.
INCOMPLETE: Cardholder record has incomplete information or more data is required to move them to READY.

INCOMPLETE, PENDING, READY, DISABLED, DELETED

Errors
Error statusDescription
400

Possible errors: field_required, bad_request, invalid_argument

401

Possible errors: credentials_invalid, credentials_expired

429

Too many requests

500

Service unavailable

POST /api/v1/issuing/cardholders/{id}/update
$curl --request POST \
> --url 'https://api-demo.airwallex.com/api/v1/issuing/cardholders/cardholder_id/update' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json' \
> --data '{
> "address": {
> "city": "Melbourne",
> "country": "AU",
> "line1": "44 Gillespie St",
> "line2": "Unit 2",
> "postcode": "3121",
> "state": "VIC"
> },
> "individual": {
> "cardholder_agreement_terms_consent_obtained": "yes",
> "date_of_birth": "1982-11-02",
> "express_consent_obtained": "yes",
> "identification": {
> "country": "AU",
> "document_back_file_id": "NzI3ZDAxM2ItZjMzMC00ZDIyLTk4YTQtMTE3ZTA0MjdhZTUyLHwsaG9uZ2tvbmcsfCxwYXNzcG9ydC5qcGdfMTYwNzY0MDI4OQ==",
> "document_front_file_id": "NzI3ZDAxM2ItZjMzMC00ZDIyLTk4YTQtMTE3ZTA0MjdhZTUyLHwsaG9uZ2tvbmcsfCxwYXNzcG9ydC5qcGdfMTYwNzY0MDI4OQ==",
> "expiry_date": "2028-08-28",
> "gender": "F",
> "number": "001238243",
> "state": "NT",
> "type": "DRIVERS_LICENSE"
> },
> "name": {
> "first_name": "John",
> "last_name": "Smith",
> "middle_name": "Fitzgerald",
> "title": "Mr"
> },
> "nationality": "UK",
> "paperless_notification_consent_obtained": "yes",
> "privacy_policy_terms_consent_obtained": "yes"
> },
> "mobile_number": "61432100100",
> "postal_address": {
> "city": "Melbourne",
> "country": "AU",
> "line1": "44 Gillespie St",
> "line2": "Unit 2",
> "postcode": "3121",
> "state": "VIC"
> }
>}'
Response (202 Accepted)
1{
2 "address": {
3 "city": "Melbourne",
4 "country": "AU",
5 "line1": "44 Gillespie St",
6 "line2": "Unit 2",
7 "postcode": "3121",
8 "state": "VIC"
9 },
10 "cardholder_id": "7f687fe6-dcf4-4462-92fa-80335301d9d2",
11 "email": "[email protected]",
12 "individual": {
13 "date_of_birth": "1982-11-02",
14 "name": {
15 "first_name": "John",
16 "last_name": "Smith",
17 "middle_name": "Fitzgerald",
18 "title": "Mr"
19 },
20 "tax_identification_number": "<string>"
21 },
22 "mobile_number": "61-9922334321",
23 "postal_address": {
24 "city": "Melbourne",
25 "country": "AU",
26 "line1": "44 Gillespie St",
27 "line2": "Unit 2",
28 "postcode": "3121",
29 "state": "VIC"
30 },
31 "status": "PENDING"
32}
Was this section helpful?

Delete cardholder

POST /api/v1/issuing/cardholders/{id}/delete

Deletes the cardholder with the corresponding unique identifier. Deleting the cardholder will also cause all employee cards that are linked to the cardholder to also be closed.

Parameters
idrequiredstring

Unique Identifier for cardholder

Response body - 200 OK
cardholder_idstring

Unique Identifier for cardholder.

deletedboolean

Will be set to true if the cardholder was deleted successfully.

Errors
Error statusDescription
400

Possible errors: field_required, bad_request, invalid_argument

401

Possible errors: credentials_invalid, credentials_expired

429

Too many requests

500

Service unavailable

POST /api/v1/issuing/cardholders/{id}/delete
$curl --request POST \
> --url 'https://api-demo.airwallex.com/api/v1/issuing/cardholders/cardholder_id/delete' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json'
Response (200 OK)
1{
2 "cardholder_id": "7f687fe6-dcf4-4462-92fa-80335301d9d2",
3 "deleted": true
4}
Was this section helpful?